CVE-2020-17541

NameCVE-2020-17541
DescriptionLibjpeg-turbo all version have a stack-based buffer overflow in the "transform" component. A remote attacker can send a malformed jpeg file to the service and cause arbitrary code execution or denial of service of the target service.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libjpeg-turbo (PTS)stretch1:1.5.1-2vulnerable
stretch (security)1:1.5.1-2+deb9u1vulnerable
buster1:1.5.2-2+deb10u1vulnerable
bullseye, sid1:2.0.6-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libjpeg-turbosource(unstable)1:2.0.5-1unimportant

Notes

https://github.com/libjpeg-turbo/libjpeg-turbo/commit/c76f4a08263b0cea40d2967560ac7c21f6959079
https://github.com/libjpeg-turbo/libjpeg-turbo/issues/392

Search for package or bug name: Reporting problems